export namespace LogLevels {
    export const error: string;
    export const warn: string;
    export const info: string;
    export const debug: string;
    export const trace: string;
}
export class Logger {
    constructor(options: any);
    events: any;
    logLevels: string[];
    logLevel: any;
    _logFunction: any;
    logFunction: (...args: any[]) => void;
    logFile: any;
    context: any;
    /**
     * Parses the logFile, returning an array of JSON objects containing the
     * log messages.
     * @param {Number} limit specifies how many log messages to return from the
     *  end of the log file
     * @returns {Array} array containing
     *  - msg: the log message
     *  - logLevel: log level (ie 'info', 'debug')
     *  - name: process name (always "embark")
     *  - timestamp: timestamp of log message (milliseconds since 1/1/1970)
     */
    parseLogFile(limit: number): any[];
    registerAPICall(plugins: any): void;
    writeToFile(_txt: any, ...args: any[]): void;
    error(...args: any[]): void;
    warn(...args: any[]): void;
    info(...args: any[]): void;
    consoleOnly(...args: any[]): void;
    debug(...args: any[]): void;
    trace(...args: any[]): void;
    dir(txt: any, ...args: any[]): void;
    shouldLog(level: any): boolean;
}
//# sourceMappingURL=index.d.ts.map